VeloConnect CPaaS API
  1. Cascading
VeloConnect CPaaS API
  • VeloConnect
    • WhatsApp
      • Whatsapp-campaigns
        • Creates a new campaign
        • Returns campaigns
      • whatsapp-contact-lists
        • {id}
          • Contacts
            • Creates new contacts
            • Returns contacts
          • Whats App Partners Delete Whats App Contact List
        • Creates a new contact list
        • Returns contact lists
      • whatsapp-contacts
        • Updates contacts
        • Deletes contacts with specified Ids
      • whatsapp-templates
        • {id}
          • Deletes template
        • Creates new template
        • Returns templates
      • whatsapp-messages
        • Sends a message
      • whatsapp-conversations
        • {id}
          • messages
            • Returns conversation messages
        • Returns conversations
      • senders
        • Returns sender ids
    • GetRatePlanId
      • GetRatePlans
    • GetSenderIDList
      • Get senderId's list.
      • Get senderId's list.
    • SenderIDStatus
      • SenderId status.
      • SenderId status.
    • AddContact
      • Add contact to contact list.
      • Add contact to contact list.
    • DeleteContact
      • Delete contact to contact list.
      • Delete contact to contact list.
    • SendSMS
      • Send SMS.
      • Send SMS.
    • SendSMSMulti
      • Send SMS multi.
      • Send SMS multi.
    • SMS Status
      • Get SMS Details
      • Get SMS Details by Id
    • Verify
      • Send verification SMS.
      • Send verification SMS.
    • VerifyStatus
      • Verify OTP code.
      • Verify OTP code.
    • Viber Business Messaging
      • OTP
        • OTP Templates
          • Get OTP Templates
        • OTP Message
          • Send OTP
      • Viber Templates
        • Create template
        • Delete Template
        • Get Template
        • List templates
      • Campaign
        • New Campaign
        • Returns Campaigns
      • Contact Lists
        • New contact list
        • Returns contact lists
        • Deletes contact list with specified ID
        • New contact
        • Updates contacts
        • Delete contacts with specified IDs
        • Returns contacts
      • Conversations
        • Returns viber inbox conversations
        • Returns viber conversations messages
        • Sends a Viber message
      • Records
        • Returns the list of viber message data records
        • Returns viber message data record by ID
      • Summaries
        • Return messages summaries
      • Senders
        • Viber Senders
        • Viber Sender by id
    • Cascading
      • Calculate SMS Campaign Price
        POST
      • New cascading campaign
        POST
    • Account
      • CheckBalance
        • Check balance.
        • Check balance.
      • Rat Plans
        • Get Rate plans
      • Get whitelisted IPs
      • Add whitelisted IP
  • VeloPBX
    • Get CDR
      GET
  1. Cascading

Calculate SMS Campaign Price

Developing
POST
/api/CalculateSmsPrice

Request

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.velosms.com/api/CalculateSmsPrice' \
--header 'Content-Type: application/json' \
--data-raw '{
  "communicationType": "Trasnsactional",
  "scheduleDate": "2019-08-24T14:15:22Z",
  "templateId": 0,
  "senderId": 0,
  "contactListIds": [
    0
  ],
  "maxContactsCount": 1,
  "contacts": [
    {
      "firstName": "John",
      "lastName": "Doe",
      "url": "https://example.com",
      "phoneNumber": "+37412345678",
      "email": "example@mail.com"
    }
  ],
  "api_id": "string",
  "ratePlanId": 0,
  "message": "string",
  "openSenderTitle": "string",
  "sentByAdmin": true
}'
Response Response Example
"string"
Modified at 2026-02-27 11:13:40
Previous
Cascading
Next
New cascading campaign
Built with